import { axios } from '@/utils/request'

const api = {
  wisdomPanelEquipment: '/admin/wisdomPanelEquipment'
}

export function getWisdomPanelEquipmentList (parameter) {
  return axios({
    url: api.wisdomPanelEquipment + '/list',
    method: 'get',
    params: parameter
  })
}

export function saveWisdomPanelEquipment (parameter) {
  return axios({
    url: api.wisdomPanelEquipment + (parameter.id > 0 ? '/update' : '/save'),
    method: 'post',
    data: parameter,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

export function delWisdomPanelEquipment (parameter) {
  return axios({
    url: api.wisdomPanelEquipment + '/remove',
    method: 'post',
    params: parameter
  })
}

export const wisdomPanelEquipmentExport = api.wisdomPanelEquipment + '/export'
